Bug 146655 - CAN-2005-0088 mod_python information leak
CAN-2005-0088 mod_python information leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mod_python (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
impact=moderate,public=20050210
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 10:43 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 10:56:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix this issue. (1.37 KB, patch)
2005-01-31 10:43 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-01-31 10:43:56 EST
Graham Dumpleton discovered a flaw which can affect anyone using the
publisher handle of the Apache Software Foundation mod_python.  The
publisher handle lets you publish objects inside modules to make them
callable via URL.  The flaw allows a carefully crafted URL to obtain extra
information that should not be visible (information leak).


Gregory (Grisha) Trubetskoy gives this example:

        For example, given a published module foo.py:

        _secret_info = "BLAH"

        def hello(req):

             return "Hello world!"

        A request to http://yourhost/fo.py/hello would result in (as expected)
        "Hello world!". _scret_info is inaccessible by the rules of the 
        publisher because it begins with an underscore.

        Here is the problem. A request to

        http://yourhost/foo.py/hello/func_globals

        Would result in a slew of interesting info (too much to paste in here),
        among them the name and value of _secret_info and other things such as 
        the full pathname of the file foo.py.

        The fix (tennatively) is this patch to the publisher.py file. As a
        super-quick hack perhaps dissalowing access to anything that contains
        "func_" in the apache config may be the way to go.
Comment 1 Josh Bressers 2005-01-31 10:43:56 EST
Created attachment 110440 [details]
Patch to fix this issue.
Comment 2 Josh Bressers 2005-01-31 10:52:18 EST
This issue also affects RHEL2.1
Comment 3 Joe Orton 2005-02-02 10:52:33 EST
Erratum queued as RHSA-2005:104.
Comment 4 Mark J. Cox (Product Security) 2005-02-10 08:59:08 EST
removing embargo
Comment 5 Josh Bressers 2005-02-10 10:56:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-104.html

Note You need to log in before you can comment on or make changes to this bug.